---
title: 'Window: transitionstart event'
slug: Web/API/Window/transitionstart_event
tags:
  - API
  - Reference
  - Web
  - Window
  - events
  - transitionstart
---
<div>{{APIRef}} {{SeeCompatTable}}</div>

<p>The <strong><code>transitionstart</code></strong> event is fired when a <a href="/en-US/docs/CSS/Using_CSS_transitions">CSS transition</a> has actually started, i.e., after any {{cssxref("transition-delay")}} has ended.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TransitionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.ontransitionstart")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the transition applied. You can listen for this event on the {{domxref("Window")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/transitionstart_event">HTMLElement: transitionstart</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code adds a listener to the <code>transitionstart</code> event:</p>

<pre class="brush: js">window.addEventListener('transitionstart', () =&gt; {
  console.log('Started transitioning');
});</pre>

<p>The same, but using the {{domxref("GlobalEventHandlers/ontransitionstart", "ontransitionstart")}} property instead of <code>addEventListener()</code>:</p>

<pre class="brush: js">window.ontransitionrun = () =&gt; {
  console.log('Started transitioning');
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/transitionstart_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Transitions', '#transitionstart', 'transitionstart')}}</td>
   <td>{{Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.transitionstart_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("GlobalEventHandlers.ontransitionstart")}} event handler</li>
 <li>The {{domxref("TransitionEvent")}} interface</li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}</li>
 <li>Related events: {{domxref("Window/transitionend_event", "transitionend")}}, {{domxref("Window/transitionrun_event", "transitionrun")}}, {{domxref("Window/transitioncancel_event", "transitioncancel")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/transitionstart_event", "transitionstart")}}</li>
 <li>This event on {{domxref("Document")}} targets: {{domxref("Document/transitionstart_event", "transitionstart")}}</li>
</ul>
